curl --request POST \
--url https://api.pubrio.com/companies/lookalikes/search \
--header 'Content-Type: application/json' \
--header 'pubrio-api-key: <api-key>' \
--data '
{
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": [
"US",
"SG",
"CN"
],
"exclude_locations": [
"CN",
"US",
"RU",
"CA"
],
"technologies": [
123
],
"categories": [
123
],
"verticals": [
123
],
"vertical_categories": [
123
],
"vertical_sub_categories": [
123
],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [
[
1,
10
],
[
11,
20
],
[
10001
]
],
"founded_dates": [
2018,
2024
],
"revenues": [
0,
100000
],
"job_locations": [
"US",
"SG",
"CN"
],
"job_posted_dates": [
"2025-01-01",
"2025-01-10"
],
"job_titles": [
"sales manager",
"marketing manager"
],
"news_categories": [
"launches"
],
"news_published_dates": [
"2025-01-01",
"2025-01-10"
],
"is_enable_similarity_search": true,
"similarity_score": 0.7,
"per_page": 25,
"page": 1
}
'import requests
url = "https://api.pubrio.com/companies/lookalikes/search"
payload = {
"domain_search_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locations": ["US", "SG", "CN"],
"exclude_locations": ["CN", "US", "RU", "CA"],
"technologies": [123],
"categories": [123],
"verticals": [123],
"vertical_categories": [123],
"vertical_sub_categories": [123],
"domain": "pubrio.com",
"linkedin_url": "https://www.linkedin.com/company/pubrio",
"employees": [[1, 10], [11, 20], [10001]],
"founded_dates": [2018, 2024],
"revenues": [0, 100000],
"job_locations": ["US", "SG", "CN"],
"job_posted_dates": ["2025-01-01", "2025-01-10"],
"job_titles": ["sales manager", "marketing manager"],
"news_categories": ["launches"],
"news_published_dates": ["2025-01-01", "2025-01-10"],
"is_enable_similarity_search": True,
"similarity_score": 0.7,
"per_page": 25,
"page": 1
}
headers = {
"pubrio-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'pubrio-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain_search_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locations: ['US', 'SG', 'CN'],
exclude_locations: ['CN', 'US', 'RU', 'CA'],
technologies: [123],
categories: [123],
verticals: [123],
vertical_categories: [123],
vertical_sub_categories: [123],
domain: 'pubrio.com',
linkedin_url: 'https://www.linkedin.com/company/pubrio',
employees: [[1, 10], [11, 20], [10001]],
founded_dates: [2018, 2024],
revenues: [0, 100000],
job_locations: ['US', 'SG', 'CN'],
job_posted_dates: ['2025-01-01', '2025-01-10'],
job_titles: ['sales manager', 'marketing manager'],
news_categories: ['launches'],
news_published_dates: ['2025-01-01', '2025-01-10'],
is_enable_similarity_search: true,
similarity_score: 0.7,
per_page: 25,
page: 1
})
};
fetch('https://api.pubrio.com/companies/lookalikes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pagination": {
"page": 1,
"per_page": 25,
"total_entries": 45234700,
"total_pages": 1809388
},
"companies": [
{
"logo_url": "https://buckets.pubrio.com/company-logo/MjI0NDc1OTMxaWxqOXNzbmoxdHdpdHRlci5jb20=.jpg",
"company_name": "Twitter",
"emails": [
"..."
],
"phones": [
"..."
],
"contacts": [
"..."
],
"founded_year": 2006,
"specialties": [
"Software Development"
],
"industry": "Software Development",
"domain": "twitter.com",
"domain_search_id": "61a73da7-2efc-41a5-a252-a8a8df29925a",
"domain_id": 224475931,
"linkedin_company_id": 44005587,
"linkedin_name": "twitter",
"is_company_url_active": true,
"domain_ids": [
224475931,
1758889566,
368242865
],
"company_keywords": [
"realtime information",
"social commerce",
"online shopping",
"classifieds",
"craigslist killers",
"e-commerce",
"killers",
"consumer internet",
"internet",
"information technology",
"edp services",
"technology",
"software development",
"microblogging",
"social networking",
"public conversation",
"user engagement",
"content sharing",
"advertising solutions",
"monetization",
"community building",
"digital wallet",
"ai integration",
"user safety"
],
"company_size": 1500,
"youtube_url": null,
"crunchbase_url": null,
"linkedin_url": "http://www.linkedin.com/company/twitter",
"instagram_url": null,
"facebook_url": "http://facebook.com/twitterinc",
"twitter_url": "https://twitter.com/x",
"github_url": null,
"x_url": null,
"location": "United States",
"company_ranking": null,
"company_url": "http://twitter.com",
"saved_lists": null,
"company_size_printed": "1,500"
},
"..."
]
}
}{
"code": 40001,
"message": "Errors and codes will vary depending on the scenario, please see the documentation for information.",
"details": {}
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}Поиск похожих компаний (Lookalike)
Устарело. Используйте вместо этого POST /companies/search/similar — те же данные, то же тело запроса.
Поиск компаний, похожих на указанную целевую компанию, на основе фирмографических и технографических признаков.
Авторизации
Тело
- Domain Search ID
- Domain
- LinkedIn URL
Уникальный идентификатор операции поиска компаний.
ISO 3166-1 alpha-2 (cca2) используется для фильтрации местоположений. Подробнее см. эндпоинты location на вкладке Filters.
["US", "SG", "CN"]
ISO 3166-1 alpha-2 (cca2) используется для исключения местоположений, которые не нужно возвращать. Подробнее см. эндпоинты location на вкладке Filters.
["CN", "US", "RU", "CA"]
Список значений tag_id, используемых для поиска конкретных технологий, применяемых компаниями. Чтобы найти ID, вызовите эндпоинт technology на вкладке Filters.
Этот фильтр поддерживает is_enable_similarity_search; при включении можно вводить произвольный текст, например ["Shopify"].
Список значений category_id, используемых для поиска конкретных категорий технологий, применяемых компаниями. Чтобы найти ID, вызовите эндпоинт category на вкладке Filters.
Этот фильтр поддерживает is_enable_similarity_search; при включении можно вводить произвольный текст, например ["CDN"].
Список значений vertical_id, используемых для поиска компаний в конкретной отрасли. Чтобы найти ID, вызовите эндпоинт vertical на вкладке Filters.
Этот фильтр поддерживает is_enable_similarity_search; при включении можно вводить произвольный текст, например ["AI"].
Список значений vertical_category_id, используемых для поиска компаний в конкретной категории отрасли. Чтобы найти ID, вызовите эндпоинт vertical category на вкладке Filters.
Этот фильтр поддерживает is_enable_similarity_search; при включении можно вводить произвольный текст, например ["Information Technology"].
Список значений vertical_sub_category_id, используемых для поиска компаний в конкретной подкатегории отрасли. Чтобы найти ID, вызовите эндпоинт vertical sub category на вкладке Filters.
Этот фильтр поддерживает is_enable_similarity_search; при включении можно вводить произвольный текст, например ["Software"].
Домен компании, используемый для операций поиска компаний. Если получен URL вида www.pubrio.com или https://docs.pubrio.com/, система преобразует его в pubrio.com для обработки.
"pubrio.com"
Полностью сформированный URL профиля компании в LinkedIn. URL начинается с http и содержит linkedin.com/company/
"https://www.linkedin.com/company/pubrio"
Диапазон количества сотрудников, работающих в компании. Позволяет находить компании по численности персонала. Можно добавить несколько диапазонов, чтобы расширить результаты поиска.
Подробнее см. эндпоинты company size на вкладке Filters.
[[1, 10], [11, 20], [10001]]
Диапазон годов основания компании. Максимальное значение — текущий год.
[2018, 2024]
Минимальный и максимальный диапазон выручки компании.
[0, 100000]
ISO 3166-1 alpha-2 (cca2) используется для фильтрации местоположений. Подробнее см. эндпоинты location на вкладке Filters.
["US", "SG", "CN"]
Диапазон дат публикации вакансии. Максимальное значение — текущий день. Границы дня определяются часовым поясом вашей рабочей области.
["2025-01-01", "2025-01-10"]
Должности, связанные с людьми, которых вы хотите найти.
Результаты также будут включать должности, содержащие схожую терминологию, даже если они не совпадают точно. Например, поиск по software engineer может вернуть результаты с должностью senior software engineer.
["sales manager", "marketing manager"]
Список category slugs для поиска конкретных категорий новостей. Чтобы найти слаг, вызовите эндпоинт news categories на вкладке Filters.
["launches"]
Диапазон дат публикации. Максимальное значение — текущий день. Границы дня определяются часовым поясом вашей рабочей области.
["2025-01-01", "2025-01-10"]
Если включено, перечисленные выше фильтры, поддерживающие поиск по схожести, можно заполнять произвольным текстом вместо конкретных ID.
Используется вместе с is_enable_similarity_search. Это число используется для анализа того, насколько конкретный слаг (например, отрасль, технология) похож на введённый пользователем текст; чем выше число, тем строже сопоставление.
0.7
Количество записей на странице. По умолчанию — 25, что также является пределом на большинстве тарифов — лимит определяется параметром max_search_per_page вашей подписки, который возвращает Profile. Превышение возвращает HTTP 416 с кодом 41676 (или 41613 для поиска компаний и людей), а не усечённый набор результатов.
x <= 2525
Ответ
Успешный ответ с данными поиска компаний.

